// Black Level
BLC_SENSOR_BLACK             8 8 8 8
BLC_SYS_BLACK                64

// Defective Pixel Fixing
DPF_DETECT_ENABLE            1
DPF_THRESHOLD                5
DPF_WEIGHT                   1

// Colour Correction
CCM_MATRIX                   1.308 -0.286 -0.022 -0.059 1.177 -0.118 0.063 -0.596 1.533
CCM_OFFSETS                  -131.6 -139.1 -134.4

// Display Gammut Mapper
DGM_CLIP_MAX                 1
DGM_CLIP_MIN                 0
DGM_COEFF                    0 0 0 0 0 0
DGM_SLOPE                    1 1 0
DGM_SRC_NORM                 1

// Primary Denoiser
DNS_COMBINE_ENABLE           1
DNS_STRENGTH                 4

// Display Scaler
DSC_ADJUST_CUTOFF_FREQ       0
DSC_BYPASS                   0
DSC_PITCH                    1 1
DSC_RECT                     0 0 0 0
DSC_RECT_TYPE                croprect

// Encoder Scaler
ESC_ADJUST_CUTOFF_FREQ       0
ESC_BYPASS                   0
ESC_CHROMA_MODE              inter
ESC_PITCH                    1 1
ESC_RECT                     0 0 0 0
ESC_RECT_TYPE                croprect

// Gamma Correction
GMA_BYPASS                   0

// Lens Shading and White Balance
LSH_WBCLIP                   1 1 1 1
LSH_WBGAIN                   2.4986 1.0024 1 1.5724

// Main Gammut Mapper
MGM_CLIP_MAX                 1
MGM_CLIP_MIN                 0
MGM_COEFF                    0 0 0 0 0 0
MGM_SLOPE                    1 1 0
MGM_SRC_NORM                 1

// Global Output parameters
OUT_DE                       NONE
OUT_ENC                      NV12
OUT_DISP                     RGB888_32

// RGB to YCC
R2Y_BRIGHTNESS               0
R2Y_CONTRAST                 1
R2Y_HUE                      0
R2Y_MATRIX                   BT709
R2Y_RANGE_MUL                1 1 1
R2Y_SATURATION               1

// Sharpening
SHA_DENOISE_BYPASS           0
SHA_DETAIL                   0.5
SHA_EDGE_OFFSET              0
SHA_EDGE_SCALE               0
SHA_DN_SIGMA_MULTIPLIER      0.5
SHA_DN_TAU_MULTIPLIER        3
SHA_RADIUS                   2
SHA_STRENGTH                 0.5
SHA_THRESH                   0

// Tone Mapper
TNM_BYPASS                   0
TNM_COLOUR_CONFIDENCE        1
TNM_COLOUR_SATURATION        1
TNM_FLAT_FACTOR              0
TNM_FLAT_MIN                 0
TNM_IN_Y                     -64 64
TNM_OUT_Y                    16 235
TNM_WEIGHT_LINE              0
TNM_WEIGHT_LOCAL             0

// YCC to RGB
Y2R_BRIGHTNESS               0
Y2R_CONTRAST                 1
Y2R_HUE                      0
Y2R_MATRIX                   BT709
Y2R_RANGE_MUL                1.1689 1.1429 1.1429
Y2R_SATURATION               1

// Temperature Correction parameters (Multi-CCM for AWB)
WB_CORRECTIONS 7

WB_CCM_0 0.688429 0.77059 -0.459019 -0.488251 1.65122 -0.162971 -0.299995 -0.195478 1.49547
WB_CCM_1 0.931965 0.191681 -0.123646 -0.32555 1.34784 -0.0222864 0.0219176 -0.907584 1.88567
WB_CCM_2 0.967786 0.142942 -0.110728 -0.288864 1.31933 -0.0304644 0.0228297 -0.81931 1.79648
WB_CCM_3 1.11818 -0.0544363 -0.0637476 -0.176644 1.23533 -0.0586901 0.0253163 -0.605441 1.58013
WB_CCM_4 1.14908 -0.0918302 -0.0572468 -0.162586 1.22599 -0.063403 0.0251971 -0.5639 1.5387
WB_CCM_5 1.19153 -0.142266 -0.0492598 -0.141771 1.21777 -0.076003 0.0230504 -0.501028 1.47798
WB_CCM_6 1.21266 -0.165088 -0.0475695 -0.128484 1.21481 -0.0863309 0.0221186 -0.470707 1.44859

WB_GAINS_0 1.39094 1.00248 1 3.25288
WB_GAINS_1 1.49505 1.00527 1 2.59104
WB_GAINS_2 1.63682 1.00455 1 2.41592
WB_GAINS_3 2.23547 1.004 1 1.86531
WB_GAINS_4 2.34968 1.00351 1 1.76885
WB_GAINS_5 2.52683 1.00437 1 1.60813
WB_GAINS_6 2.65856 1.00275 1 1.51728

WB_OFFSETS_0 -157.575 -154.988 -109.713
WB_OFFSETS_1 -139.275 -139.113 -138.552
WB_OFFSETS_2 -139.377 -139.15 -138.816
WB_OFFSETS_3 -139.273 -139.484 -138.926
WB_OFFSETS_4 -139.391 -139.549 -139.16
WB_OFFSETS_5 -139.307 -139.622 -139.312
WB_OFFSETS_6 -139.177 -139.593 -139.426

WB_TEMPERATURE_0 2760
WB_TEMPERATURE_1 2960
WB_TEMPERATURE_2 3200
WB_TEMPERATURE_3 5000
WB_TEMPERATURE_4 5500
WB_TEMPERATURE_5 6500
WB_TEMPERATURE_6 7500

// White Balance Temporal Smoothing parameters (Planckian)
WBT_USE_FLASH_FILTERING      0
WBT_USE_SMOOTHING            0
WBT_TEMPORAL_STRETCH         4500
WBT_WEIGHT_BASE              1

// Auto Exposure parameters
AE_TARGET_GAIN               1.0
AE_TARGET_BRIGHTNESS         0.0
AE_MAX_GAIN                  10.0
AE_MAX_EXPOSURE              33000
AE_FLICKER_REJECTION         0
AE_FLICKER_AUTODETECT        1
AE_FLICKER_FREQ              50

// Auto White Balance Statistics parameters (AWS block)
AWS_BB_DIST 0.2
AWS_B_CLIP_THRESH 255
AWS_B_DARK_THRESH 10
AWS_G_CLIP_THRESH 255
AWS_G_DARK_THRESH 10
AWS_R_CLIP_THRESH 255
AWS_R_DARK_THRESH 10

AWB_MAX_RATIO_DISTANCE 0.2

AWS_CURVES_NUM 5
AWS_CURVE_X_COEFFS 0.780096 0.729204 0.634187 0.95317 0
AWS_CURVE_Y_COEFFS 0.62566 0.684297 0.77318 0.302434 1
AWS_CURVE_OFFSETS 0.00296059 0.0175738 0.0540049 -0.513561 -0.2
AWS_CURVE_BOUNDARIES 0.25 -0.137428 -0.214031 -0.688147 -1.21633
